JobPriority (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobPriority

    java.lang.Object
      java.lang.Enum<JobPriority>
          org.apache.hadoop.mapred.JobPriority

All Implemented Interfaces:
  Serializable, Comparable<JobPriority>

    public enum JobPriority

extends Enum<JobPriority>

Used to describe the priority of the running job.

Enum Constant Summary
`HIGH`
`LOW`
`NORMAL`
`VERY_HIGH`
`VERY_LOW`

Method Summary
`static JobPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERY_HIGH

    public static final JobPriority VERY_HIGH

### HIGH

    public static final JobPriority HIGH

### NORMAL

    public static final JobPriority NORMAL

### LOW

    public static final JobPriority LOW

### VERY_LOW

    public static final JobPriority VERY_LOW

Method Detail

### values

    public static JobPriority[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobPriority c : JobPriority.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobPriority valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation